%% Generemos unos rotulos para la leyenda
% El problema reside en que cada señal tiene sus propias características

h_gnss  = findobj(gcbf, 'Tag', 'desplegable_gnss');
val = get(h_gnss, 'Value');
str = get(h_gnss,'String');

switch str{val}
    
    case 'Pulso Rectangular'

      h1 = findobj(gcbf, 'Tag', 'num_muestras');
      etiqueta  = ['Rect ', get(h1, 'String')];
       
    case 'SQRRC'
    
      etiqueta = ['SQRRC'];
        
    case 'BOC'
       
       h1 = findobj(gcbf, 'Tag', 'BOC_m');
       h2 = findobj(gcbf, 'Tag', 'BOC_n');
       
       etiqueta = ['BOC(' get(h1, 'String') ',' get(h2, 'String') ')'];
       
    case 'GPS-L1'   

       etiqueta = ['GPS-L1'];
       
    case 'CBOC Galileo E1'
        
       etiqueta = ['GalileoE1'];
    
    case 'CBOC'
       
       h1 = findobj(gcbf, 'Tag', 'cboc_m1');
       h2 = findobj(gcbf, 'Tag', 'cboc_m2');
       
       if get(h_gnss, 'UserData') ~= 6
            etiqueta = ['CBOC(-,'];
       else
            etiqueta = ['CBOC(+,'];
       
       end
       
       etiqueta = [etiqueta, get(h1, 'String'),',', get(h2, 'String'),')'];
end

h1 = findobj(gcbf, 'Tag', 'e_l' );
h2 = findobj(gcbf, 'Tag', 'ampli_Mpath');

etiqueta = [etiqueta, ' d:', get(h1, 'String'),' ', texlabel('alpha'),':', get(h2, 'String') ];
