%% Verificamos si la señal actual es la anterior o solo queremos cambiar el
%% color

h_fix = findobj(gcbf, 'Tag', 'fix');

h_representa = findobj(gcbf, 'Tag', 'representar');
almacenada = get(h_representa, 'UserData');

% UserData del desplegable almacena el último tipo de señal representado y
% el tipo intencionado

h_gnss = findobj(gcbf, 'Tag', 'desplegable_gnss');
z = get(h_gnss, 'UserData');

if length(almacenada) ~= length(var_tau)  % Son señales distintas
    
    set(h_representa, 'UserData', var_tau)
    set(h_fix, 'UserData', 1);      % Almaceno un 1 para saber que es una 
                                    % representación nueva

else                                % Longitudes iguales, comparamos valores
    
    if var_tau ~= almacenada              
        set(h_representa, 'UserData', var_tau)
        set(h_fix, 'UserData', 1);
         
    else                            % Se trata de la misma señal si los nombres
                                    % coinciden
        if  z(1) == z(2)            % El tipo de la última representada y la 
                                    % intencionada coincide
            set(h_fix, 'UserData', 0);   
        else
            
            set(h_fix, 'UserData', 1);
        end
    end
end


set(h_representa, 'UserData', var_tau)

% Almacenamos el tipo de la última señal representada

l = get(h_gnss, 'Value');

switch l 
    
    case 1 % Pulso
 
        j = 1;
         
    case 2 % SQRRC
        
        j = 2;
    
    case 3 % BOC
        
        % Modificar si finalmente hacemos BOC sinus y cosinus
        j = 3;
       
    case 4 % GPS L1
        
        j = 4;
        
    case 5 % Galileo E1
           
        j = 5;
    
end

m = get(h_gnss, 'UserData');
k = m(2);
set(h_gnss, 'UserData', [j,k]);
%user_data = get(h_gnss, 'UserData')